## debhelper 11.1.6~mx15

=== debian/changelog ===
debhelper (11.1.6~mx15) mx; urgency=medium

  * Rebuild for MX-15/16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Aug 2018 10:23:24 -0400

debhelper (11.1.6~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Apr 2018 13:23:52 -0700

debhelper (11.1.6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports:
    * Lower the required dpkg version (cherry-picked from the upcoming
      debhelper version).

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Apr 2018 19:58:57 +0200

debhelper (11.1.6) unstable; urgency=medium

  * Dh_Lib: Avoid passing invalid parameters to a function, which
    caused tons of "package ARRAY(...) is not in control info"
    warnings from dh in some cases.  It triggers when dh thinks
    the package might have architecture qualified debhelper config
    files.  The warning is harmless (besides the noise) for all
    native builds and most cross builds, but it did invalidate
    attempt to make pkgfile() use "DEB_TARGET_ARCH{,_OS}"
    (see 11.1.5~alpha1).  Thanks to Andreas Beckmann for reporting
    the issue.  (Closes: #891546)
  * dh: Refactor handling of sequences to simplify some code paths.
  * autopkgtests: Remove "use-name" tests as it no longer works.
    The debhelper module makes assumptions in which directory it is
    run from and the test breaks these assumptions.
  * debian/control: Comment out versioned dependency on make.
    It is not strictly necessary for Debian and causes issues with
    make-guile.  On the other hand, it is useful for people
    backporting debhelper on derivatives and hench leaving it as a
    comment.  (Closes: #892586)
  * debian/control: Bump dependency on dh-autoreconf for the fix for
    #889567.
  * dh_installinfo: Accept --sourcedir like the documentation says
    for compat 11.  Prevently the option was incorrectly silently
    ignored.  Thanks to Nicolas Boulenguez for the report and the
    patch.  (Closes: #894226)
  * dh_ucf.1: Apply patch from Nicolas Boulenguez to add missing
    documentation of the "--all" and non-option parameters.
    (Closes: #894228)
  * dh_installxfonts: Apply patch from Nicolas Boulenguez.  This
    ensures that the generated maintscript snippets are bit-for-bit
    reproducible when a package ships xfons in multiple fonts
    directories.  (Closes: #894227)
  * Dh_Lib: Improve the "make_symlink" code to avoid non-compliant
    symlinks when the link name was not a normalized path.  Note
    that ".."-segments are now disallowed in the link name (but not
    the link target).  Thanks to Nicolas Boulenguez for reporting
    the bug plus the test cases.  (Closes: #894229)
  * dh_installinfo: Report installed files to dh_missing.  Thanks
    to Daniel Kahn Gillmor for reporting this omission.
    (Closes: #893160)
  * Dh_Lib: Make Dh_Lib loadable again without a debian/control being
    present.  This makes the autopkgtests work again.

 -- Niels Thykier <niels@thykier.net>  Thu, 29 Mar 2018 19:26:59 +0000

debhelper (11.1.5) unstable; urgency=medium

  * Upload to unstable.
  * Add a warning for using the new experimental feature for
    requesting the compat level via the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Feb 2018 10:05:22 +0000

debhelper (11.1.5~alpha1) experimental; urgency=medium

  * dh_installdocs: Add missing documentation about --sourcedir
    in compat 11.
  * dh_installdocs: Document that d/tmp is used by default
    in compat 11.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * meson.pm: Apply patch from Jakub Wilk to fix typo in the name
    of the "C.UTF-8" locale.
  * autoscripts/postinst-systemd-restart: Apply patch from
    Christoph Biedl to fix indentation.  (Closes: #890373)
  * dh_testroot: With the advent of DEB_RULES_REQUIRES_ROOT, it
    no longer needs to read debian/control to tell whether root
    is needed or not.  However, the warning remains for calling
    dh_testroot outside the source root (as we may need to check
    the compat level in a future version of debhelper).
  * makefile.pm: Synchronize output from make (via -O) when
    make runs in parallel except when STDOUT is a TTY.  Thanks
    to Goswin von Brederlow for the suggestion.  (Closes: #768791)
  * dh_gencontrol: Avoid uninitialized value warning when there
    are no build-ids (e.g. because the builder disabled the
    dbgsym building via DEB_BUILD_OPTIONS).  This regression
    was introduced in 11.1.  Thanks to Christian Marillat for
    reporting the bug.  (Closes: #890736)
  * Dh_Lib: pkgfile() now properly uses for DEB_TARGET_ARCH{,_OS}
    when the package is set to be built for the target
    architecture.
  * d/control: Drop dependency on binutils; it does not reflect
    our actual requirement and the package or builder will ensure
    that the current binutils is installed for other reasons
    any way.  Thanks to Helmut Grohne for the report.
    (Closes: #891187)
  * Dh_Lib: Add an experimental feature to determine the requested
    compat level from the Build-Depends field.

 -- Niels Thykier <niels@thykier.net>  Sat, 24 Feb 2018 16:01:31 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 12~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism,
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
# makefile.pm uses -O which according to #768791 requires make (>= 4~).
# The -O is an aid to maintainers, debhelper works perfectly fine without it.
# (commented to avoid issues with make-guile, #892586)
#         make (>= 4~),
         man-db,
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38),
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
#        cmake (<< 3.9~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~),
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make, dwz
Provides: ${dh:CompatLevels}
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: dh-systemd
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.

## debhelper 11.1.6~mx17+1

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,11 @@
 # Version 16 fixes #887482, version 17 fixes #889567
 # Constraint can be relaxed if packages do not rely/require any of the
 # above fixes
-         dh-autoreconf (>= 12~),
+         dh-autoreconf (>= 17~),
 # Version constraint is to get a version of dh-strip-nondeterminism
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
-         dh-strip-nondeterminism,
+         dh-strip-nondeterminism (>= 0.028~),
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
@@ -42,7 +42,7 @@
 # To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
 # - Can be dropped (with the caveat that cmake packages may behave differently
 #   depending on the version of cmake).
-#        cmake (<< 3.9~),
+        cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
 Replaces: dh-systemd (<< 1.38)

## debhelper 11.1.6ubuntu1

=== debian/changelog ===
debhelper (11.1.6ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 30 Mar 2018 02:01:04 -0600

debhelper (11.1.5ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2018 20:54:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-Build-Depends: dpkg-dev (>= 1.18.0~),
+Build-Depends: dpkg (>= 1.19.0.5~),
+               dpkg-dev (>= 1.19.0.5~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
@@ -25,9 +26,9 @@
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
-# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
-         dpkg (>= 1.18.0~),
-         dpkg-dev (>= 1.18.2~),
+# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
+         dpkg (>= 1.19.0.5~),
+         dpkg-dev (>= 1.19.0.5~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -45,7 +46,8 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make, dwz
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
#
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
#
# We disable autoreconf to avoid build-depending on it (it does
# nothing for debhelper and it keeps the set of B-D smaller)

PERL ?= perl

%:
	./run dh $@ --without autoreconf --with build-stamp

# Disable as they are unneeded (and we can then be sure debhelper
# builds without needing autotools-dev, dh-strip-nondetermism etc.)
override_dh_update_autotools_config override_dh_strip_nondeterminism:

override_dh_auto_install:
	./run dh_auto_install --destdir=debian/debhelper
	PERLLIBDIR=$$($(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper ; \
	    $(PERL) -I"debian/debhelper/$${PERLLIBDIR}" debian/gen-provides > debian/debhelper.substvars

## debhelper 11.1.6ubuntu2

=== Makefile ===
PERL ?= perl
PO4A ?= po4a
POD2MAN ?= pod2man

# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | grep -v '~$$' | LC_ALL=C sort)
MANPAGES=$(COMMANDS:=.1) dh.1

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    TEST_JOBS = 1
endif

# Figure out the `current debhelper version.
VERSION=$(shell dpkg-parsechangelog -SVersion)

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=$(PERL) -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			my $$recommended_compat = q{$(VERSION)}; \
			$$recommended_compat =~ s{^\d+\K(?:\D.*|\..*)?}{}; \
			while (<STDIN>) { \
				s/\#LIST\#/$$list/g; \
				s/\#LIST_DEPRECATED\#/$$list_deprecated/g; \
				s/\#RECOMMENDED_COMPAT\#/$$recommended_compat/g; \
				print; \
			}; \
		}'

PERLLIBDIR=$(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN_FLAGS=--utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
LANG_TARGETS = $(foreach L,$(LANGS),translated-$(L)-stamp)
else
LANGS=
LANG_TARGETS =
endif

build: $(LANG_TARGETS) version debhelper.7 debhelper-obsolete-compat.7 $(MANPAGES)


po4a-stamp:
	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
	touch $@

translated-%-stamp: po4a-stamp
	set -e; \
	lang=$* ; \
	dir=man/$$lang; \
	for file in $$dir/dh*.pod; do \
		prog=`basename $$file | sed 's/.pod//'`; \
		$(POD2MAN) $(POD2MAN_FLAGS) $$file $$prog.$$lang.1; \
	done; \
	if [ -e $$dir/debhelper.pod ]; then \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
			$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	fi; \
	if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
	fi
	touch $@

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		lib/Debian/Debhelper/Dh_Version.pm

dh_%.1: dh_%
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

dh.1: dh
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7  > $@

debhelper-obsolete-compat.7: debhelper-obsolete-compat.pod
	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *-stamp *.1 *.7 lib/Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 lib/Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 lib/Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*

=== t/dh_missing/template/Makefile ===
install:
	install -m 755 -d debian/tmp/usr/bin
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo

installmore: install
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo-more
	install -m 644 file-for-foo debian/tmp/usr/bin/file-for-foo-lots

=== debian/changelog ===
debhelper (11.1.6ubuntu2) bionic; urgency=medium

  [ Iain Lane ]
  * Cherry-pick this change from Debian (98d248f4) (LP: #1767792)

  [ Nicolas Boulenguez ]
  * dh_installxfonts: Fix typo that causes a misc:Depends on
    non-existing xfont-utils.  (Closes: #894835)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 10 May 2018 10:11:57 +0100

debhelper (2.1.15) u

## debhelper 11.2.1~bpo9+1

=== debian/changelog ===
debhelper (11.2.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 May 2018 14:06:00 +0000

debhelper (11.2.1) unstable; urgency=medium

  * Buildsystem.pm: Correctly pass build directory values to
    target buildsystems.  Thanks to Helmut Grohne, Adrian Bunk
    and Tobias Frost for the reports and debugging.
    (Closes: #895174, #895181)
  * Buildsystems: Avoid choosing a build system for the clean
    step if it is not necessary.  Previously, debhelper could
    choose a "random" build system that would prefer building
    in a separate build directory on the basis that the build
    directory should be removed.  With this, change we only
    choose such a build system if there is a build directory
    to remove.

 -- Niels Thykier <niels@thykier.net>  Sun, 08 Apr 2018 08:47:35 +0000

debhelper (11.2) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.7: Add a ~ to the suggested Build-Depends to ensure
    backports also work for debhelper with single integer versions.
    Thanks to Trent W. Buck for the suggestion.  (Closes: #894666)
  * makefile.pm: Use -Oline with make.  This avoids make mistaking
    a target name for a value for -O and should make build time
    outs less likely for "long" targets.  (Closes: #894573)
  * Dh_Lib.pm: Fix bug that make debhelper trip on packages with
    the version "0".  Thanks to Chris Lamb for reporting the bug
    plus debugging the issue.  (Closes: #894895)
  * Buildsystem.pm: Rewrite to support build systems that generate
    build files for another build system (without using
    inheritance).  This enables generator build systems to have
    multiple backends.
  * cmake.pm: Support ninja as alternative backend (by using the
    build system cmake+ninja).  Thanks to Kyle Edwards for the
    suggestion.  (Closes: #895044)
  * meson.pm: Rewrite as a generator build system with ninja as
    the only backend.
  * debhelper.7: Recommend packagers to use "debian/<pkg>.<file>"
    over "debian/<file>" in most cases.  Thanks to Johannes
    Schauer for the suggestion.
  * dh_usrlocal: Implement a simple guard for directories that
    will likely cause issues in the shell snippets.
  * dh_usrlocal: Use the new rules from Debian Policy 4.1.4 to
    determine the default ownership and mode for directories.
  * d/control: Bump Standards-Versions to 4.1.4.  Beyond the
    dh_usrlocal change listed above, no changes were required.

  [ Nicolas Boulenguez ]
  * dh_installxfonts: Fix typo that causes a misc:Depends on
    non-existing xfont-utils.  (Closes: #894835)
  * dh_installwm.1: Document --all.  (Closes: #895011)
  * dh_usrlocal: Fix bug where the generated prerm script generated
    by dh_usrlocal could remove a directory directly in /usr/local.
    (Closes: #894549)

  [ Mattia Rizzolo ]
  * Lower the version restrictions on dpkg and dpkg-dev.  They are not
    needed anymore, as R³ support is not implied anymore, but requires
    an environment variable to be passed.

 -- Niels Thykier <niels@thykier.net>  Sat, 07 Apr 2018 19:23:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-Build-Depends: dpkg (>= 1.19.0.5~),
-               dpkg-dev (>= 1.19.0.5~),
+Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -26,9 +24,9 @@
 # without several bugs.  The constraint can be relaxed if an older
 # version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
-# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
-         dpkg (>= 1.19.0.5~),
-         dpkg-dev (>= 1.19.0.5~),
+# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
+         dpkg (>= 1.18.0~),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -46,8 +44,7 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make, dwz
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign

## debhelper 11.3.2ubuntu1

=== debian/changelog ===
debhelper (11.3.2ubuntu1) cosmic; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Jun 2018 18:25:31 -0600

debhelper (11.3.2) unstable; urgency=medium

  * dh_installchangelogs: Fix a second regression that made
    dh_installchangelogs ignore upstream changelogs in the
    source directories.  Thanks to gregor herrmann for
    reporting the imcomplete fix.  (Closes: #899248)

 -- Niels Thykier <niels@thykier.net>  Wed, 23 May 2018 05:59:59 +0000

debhelper (11.3.1) unstable; urgency=medium

  * dh_installchangelogs: Fix logic error that made
    dh_installchangelogs incorrectly ignore explicitly passed
    changelogs.  Thanks to Sven Joachim and Rene Engelhard
    for reporting the bug.  (Closes: #899248)

 -- Niels Thykier <niels@thykier.net>  Mon, 21 May 2018 20:02:32 +0000

debhelper (11.3) unstable; urgency=medium

  [ Niels Thykier ]
  * Buildsystem.pm: Fix use of undefined variable in certain
    error conditions.
  * dh_makeshlibs: Support -VUpstream-Version and -VNone as
    alternative to passing -V or omitting -V respectively.
  * dh_makeshlibs: Make -VUpstream-Version the default in
    compat 12 when -V is omitted.  (Closes: #896464)
  * dh_makeshlibs: Correct handling of an explicit -V when
    a source builds multiple library packages and provides
    explicit shlibs files for a subset of them.  Previously,
    the -V option could have been ignored for some of the
    packages containing libraries.
  * Dh_Lib.pm: Fall back to a regular mv(1) when rename fails
    with EXDEV (cross mount point moves).  This restores
    debhelper's ability to move files between mount points,
    which can happen in dh_builddeb has to correct the
    extension of a binary package built by dpkg-deb.
    Thanks to Evan Krall for the report.  (Closes: #897569)
  * dh_missing.1: Consistently mention that dh_missing
    defaults to --list-missing in compat 12.  Thanks to
    Robie Basak for spotting the contradicting documentation.
    (Closes: #898161)
  * dh_compress:  Avoid adding a duplicate ".gz" extension on
    a symlink if it already has it.   This can happen e.g. with
    dh_installman recompresses a manpage that was compressed and
    had a valid symlink to it.  Thanks to Andreas Hasenack for
    reporting the bug.  (Closes: LP: #1765851)
  * debian/control: Depend on dwz for dh_dwz.
  * dh_dwz: Generate a per-package multifile by default.  This
    feature can be disabled by --no-dwz-multifile.
  * dh: Run dh_dwz by default in compat 12.
  * dh_dwz: Remove warning about the dwz feature being experimental.
  * dwz.pm: Ditto.
  * dh_installsystemd: Use the basename of the "tmpfiles" config
    files.  This makes "systemd-tmpfiles --create" search for it
    in both /usr/lib/tmpfiles.d and in /etc/tmpfiles.d.  With
    this change the system administrator can now override the
    "tmpfiles" config shipped by the package in
    /usr/libtmpfiles.d.  Thanks to Nick Groenen and Seyeong Kim
    for filing the bug.  (Closes: #894510)
  * dh_installinit: Ditto.
  * dh_installchangelogs: Look for changelog files installed by the
    upstream build system in the package build dir (i.e. d/<pkg>/
    and *not* debian/tmp!) and use them in preference to the one in the
    source package where available.  This avoids some cases of duplicated
    upstream changelogs.  Thanks to Evgeni Golov for the suggestion.
    (Closes: #513521)
  * dh_md5sums: Stop deleting empty md5sums files as dpkg (now) creates
    the empty file on install if absent.  Thanks to Rhonda D'Vine for
    suggesting the improvement.  (Closes: #776853)
  * Dh_Lib.pm: Re-organise exports.
  * Dh_Lib.pm: Retract "print_and_complex_doit"; the only potential
    consumer went with a different code snippet.
  * dh_installinitramfs: New tool to install initramfs hook scripts and
    handle related maintscripts.  Thanks to Evgeni Golov for the
    suggestion.  (Closes: #491027)
  * installinitramfs.pm: New sequence to enable dh_installinitramfs in
    compat 11 and earlier.
  * dh_installdirs: Add --(no-)create-in-sourcedir option to make
    dh_installdirs create directories in the source directory in addition
    in the package build directory.  Furthermore, dh_installdirs now
    accepts --sourcedir to overrule the default source directory (just
    like e.g. dh_install).  Thanks to Robert Luberda for the suggestion.
    (Closes: #816332)
  * Buildsystem.pm: Move code from Dh_Buildsystems.pm to Buildsystem.pm
    to make the latter independent of the former.  This makes it possible
    to load Buildsystem.pm without debian/control being present.  Thanks
    to Andreas Tille for the bug report.  (Closes: #897026)
  * dh_installinit.1: Fix some incorrect markup in the documentation of
    --no-enable.
  * makefile.pm: Revert the use of -O/-Oline for make, which helps
    debugging what commands time out on the buildds.  Thanks to
    Adrian Bunk for the report.  (Closes: #895196)
  * dh_testroot.1: Update R³ documentation to reflect the current
    implementation and not the initial draft.  Thanks to Jens Reyer
    for reporting the inconsistency.  (Closes: #899125)
  * d/changelog: Retroactively add Closes for LP bug #1766102 in 11.2
    release.
  * Dh_Lib.pm: Correct control parser to permit zero or more leading
    space after the "Section" field (instead of "exactly one" space).
  * python_distutils.pm: Deprecate the python-distutils build system
    and mark it as removed in compat 12.  Users are recommended to
    migrate to the third-party build system called "pybuild".  This


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -27,6 +28,7 @@
 # dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
          dpkg (>= 1.18.0~),
          dpkg-dev (>= 1.18.2~),
+         dwz,
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
 # makefile.pm uses -O which according to #768791 requires make (>= 4~).
@@ -44,8 +46,12 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
-Replaces: dh-systemd (<< 1.38)
-Suggests: dh-make, dwz
+# The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
+# fixes in the subsequent uploads. It is only needed for cross-building.
+        qt5-qmake (<< 5.9.2+dfsg-8),
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
+Suggests: dh-make
 Provides: ${dh:CompatLevels}
 Multi-Arch: foreign
 Description: helper programs for debian/rules

## debhelper 11.5

=== debian/changelog ===
debhelper (11.5) unstable; urgency=medium

  [ Daniele Nicolodi ]
  * dh_installsystemduser: New helper responsible for istalling package
    maintainer supplied systemd user instance units and to produce
    postinst and postrm maintiner scripts code blocks to appropriately
    enable, mask and disable units when the package is installed,
    upgraded, or removed.  (Closes: #764678)

  [ Niels Thykier ]
  * dh_installsystemd.1: Improve the documentation for --name to make
    it more clear that it also changes the name of the source files in
    the debian directory.  Thanks to Emel Hasdal for reporting the
    issue and reviewing the change.  (Closes: #899983)

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 16:07:01 +0000

debhelper (11.4.1) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.pod: Quote the value of INSTALL in description of
    compat level 11.  Thanks to Josh Triplett for the suggestion
    (Closes: #908906)
  * d/changelog: Fix typos in old entries.
  * dh_strip: Remove empty /usr/lib/debug directories left over
    by dh_dwz.  Thanks to Ferenc Wágner for reporting the issue.
    (Closes: #909303)
  * dh: Disable optimization to skip tools based on command-line
    parameters when dh is passed long options.  Since debhelper
    had implicit support for auto-abbrevation of long options
    and people have started to rely on it, the optimization in
    debhelper/11.4 caused regressions.  The optimization is
    still enabled for short options.  (Closes: #909704)

  [ Josh Triplett ]
  * debhelper.pod: Document how to declare the debhelper compat
    level via the "debhelper-compat (= X)"-method.
    (Closes: #908909)
  * debhelper.pod: Document that we do not provide debhelper-compat
    for experimental/beta versions of compat levels.
    (Closes: #908907)
  * doc/PROGRAMMING: Fix typos.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Sep 2018 15:49:38 +0000

debhelper (11.4) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_dwz.1: Remove now obsolete note in manpage claming that dh_dwz
    was experimental.  Since debhelper/11.3, dh_dwz was no longer
    experimental.
  * cmake.pm: Explicitly set CMAKE_INSTALL_LIBDIR on native builds.
    This should not make any pratical difference but aligns the
    behaviour of native and cross builds.  Thanks to Simon McVittie
    for the suggestion.  (Closes: #903042)
  * autoconf.pm: Leave --libexecdir at upstream default (/usr/libexec)
    in compat 12 and later.  (Closes: #859724)
  * meson.pm: Ditto.
  * dh: Support implicitly loading addons via "dh-sequence-${name}"
    relations in Build-Depends (which would imply "dh ... --with ${name}").
    Only simple relations in Build-Depends are considered at the moment.
  * debian/control: Provide dh-sequence-dwz, dh-sequence-installinitramfs,
    and dh-sequence-systemd, which enables packages to use the new
    feature to implicitly autoload dh addons via Build-Depends.
  * dh_md5sums: Rewrite handling of conffiles and excludes to better
    support an arbitrary number of files that should be omitted from the
    md5sums file.  Previously, dh_md5sums could fail with the error:
    """... "/bin/sh": Argument list too long at ..."""
    (Closes: #864182)
  * dh_installinit.1: Correct documentation which was inaccurate in relation
    to which compat levels where dh_installinit still supported systemd
    items and upstart jobs.  Thanks to Theodore Y. Ts'o for bring up the
    issue.
  * dh_installdeb: In compat 12, ignore the maintainer provided conffiles.
    It has not been useful since compat 3.
  * Dh_Lib.pm: isnative() now also resets $dh{VERSION} as a side-effect when
    using the cache to answer the request.  This is mostly useful because
    it enables the following optimization.
  * Dh_Lib.pm: Have isnative() special-case debian/changelog to avoid
    reparsing that file over and over in the same helper.
  * dh_gconf: Explicitly declare the --priority parameter with the intention
    to remove it from the default debhelper options.
  * dh_installemacsen: Ditto.
  * dh_installgsettings: Ditto.
  * dh_installudev: Ditto.
  * dh_installwm: Ditto.
  * Dh_Getopt.pm: Remove --priority from the list of options supported by all
    debhelper tools.  The only external consumer was dh_installtex from
    tex-common, which was fixed in 6.10.
  * dh_installinit: In compat 12, pass --skip-systemd-native to update-rc.d
    to make it ignore systemd services.
  * dh_installsystemd: In compat 12, avoid relying on dh_installinit's
    shell snippets for starting services.  (Closes: #887904, #887900)
  * dh_installinit: Drop unnecessary "systemctl daemon-reload" in
    auto-generated postrm script.  The systemd package has a trigger for
    handling sysvinit scripts and dh_installsystemd handles the requirement
    for native systemd unit files.
  * dh_clean: Explicitly declare the -k/--keep parameter with the intention
    to remove it from the default debhelper options.
  * dh_installchangelogs: Ditto.
  * dh_strip: Ditto.
  * Dh_Getopt.pm: Remove -k/--keep from the list of options supported by all
    debhelper tools.  The only external consumer was dh_gtkmodules which is now
    deprecated and a "noop" command.  No consumers of dh_gtkmodules appear to
    pass -k/--keep to dh_gtkmodules any longer.
  * dh: Rewrite command line optimization logic to enable support for a new
    NOOP PROMISE for command line options.  This will make dh able to skip
    helpers in some cases even when passed options.  (Closes: #866581)
  * dh_*: Add a NOOP PROMISE for command options where applicable.
  * dh: Remove old compatibility code from compat 10 that never worked.
  * Dh_Getopt.pm: Fix a bug that would make "-S" be interpreted as "-s" when
    "-S" was not given an argument.
  * debian/control: Bump Standards-Versions to 4.2.1 - no changes required.
  * debhelper.pod: Declare compat 12 in beta testing.

  [ Juhani Numminen ]
  * dh_installsystemd.1: Fix typo in manpage.


## debhelper 12~bpo9+1~bpo9+1

=== debian/changelog ===
debhelper (12~bpo9+1~bpo9+1) UNRELEASED; urgency=medium

  * stretch-backports Rebuilt for stretch.

 -- Niels Thykier <niels@thykier.net>  Tue, 05 Feb 2019 13:35:43 +0100

debhelper (12~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Thu, 03 Jan 2019 20:59:01 +0000

debhelper (12) unstable; urgency=medium

  [ Niels Thykier ]
  * Release debhelper/12 marking compat 12 as stable.
  * dh: Special NOOP PROMISE of cli-options() to always allow skipping
    the helper (as we know no option can make it change behaviour).

  [ Dmitry Shachnev ]
  * dh_compress: Do not compress mkdocs search indices
    (search_index.json).

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Dec 2018 13:47:55 +0000

debhelper (11.5.4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 18 Dec 2018 20:03:56 +0000

debhelper (11.5.4) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Reopen stdin to read from /dev/null in doit (and its sibling
    functions) to prevent issues when stdin is open in write-only mode
    (which is what nohup(1) does).  Thanks to Julian Gilbey for reporting
    the issue and providing a sample patch for it as well.
    (Closes: #913663)
  * fr.po: Add missing dash in "--parallel" in a translation.  Thanks to
    Christian Marillat for reporting the issue.  (Closes: #915255)
  * debhelper.7: Document that the "python-distutils" build system is
    removed in compat 12.  Thanks to Axel Beckert for reporting the
    omission.  (Closes: #915530)

  [ Luca Boccassi ]
  * makefile.pm: revert passing V=0/1 to makefiles. Fixes FTBFS in apcupsd
    (and possibly more).
    (Closes: #914419)

 -- Niels Thykier <niels@thykier.net>  Sat, 15 Dec 2018 19:18:47 +0000

debhelper (11.5.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * cmake.pm: Pass the usual CMAKE_SYSTEM_PROCESSOR for ppc64el
    when cross compiling.   (Closes: #913425)

 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 21:42:12 +0000

debhelper (11.5.2) unstable; urgency=medium

  [ Luca Boccassi ]
  * makefile.pm: Pass V=0 or V=1 to the make file depending on
    whether "terse" is set in DEB_BUILD_OPTIONS.

  [ Niels Thykier ]
  * dh_gconf: Mark dh_gconf as deprecated (see #908845).
  * Dh_Lib.pm: Separate lowest non-deprecated compat level and
    the lowest compat level we generate "debhelper-compat (= X)"
    relations for.
  * Dh_Lib.pm: Open compat level 13 as an experimental compat
    level.
  * meson.pm: In compat 13, run tests with "meson test" rather
    than "ninja test".  Thanks to Simon McVittie for the
    suggestion.  (Closes: #912560)
  * dh: Correctly include dh_installsystemduser in the sequence
    in compat 12.  It was excluded due to an inverted boolean
    meaning it was added in compat up to (and incl.) compat 11.
    Thanks to Michael Biebl for reporting the issue.
    (Closes: #913329)
  * fr.po: Correct translations for dh_installman.1 which
    incorrectly implied that dh_installman was deprecated.
    Thanks to Laurent Bigonville for reporting the issue.
    (Closes: #912978)

  [ Helmut Grohne ]
  * cmake.pm: Pass QMAKE_EXECUTABLE when cross-building.
    (Closes: #913415)


 -- Niels Thykier <niels@thykier.net>  Sat, 10 Nov 2018 19:51:25 +0000

debhelper (11.5.1) unstable; urgency=medium

  * dh_systemd_start: Fix bug introduced in debhelper/11.5 where
    dh_systemd_start would fail to substitute a token in the
    generated maintscript for maintainer scripts when using
    "--restart-after-upgrade" (including when the option is
    on by default).  Thanks to Colin Watson for reporting the
    bug.  (Closes: #912420)

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Oct 2018 21:02:00 +0000

debhelper (11.3.5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 22 Jul 2018 18:28:12 +0000

debhelper (11.3.2~bpo9+2) stretch-backports; urgency=medium

  * Remove Breaks against qt5-qmake (neither needed nor satisfiable in
    backports).

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Jun 2018 18:38:09 +0200

debhelper (11.3.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -31,10 +30,6 @@
          dwz,
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
-# makefile.pm uses -O which according to #768791 requires make (>= 4~).
-# The -O is an aid to maintainers, debhelper works perfectly fine without it.
-# (commented to avoid issues with make-guile, #892586)
-#         make (>= 4~),
          man-db,
          po-debconf,
          ${misc:Depends},
@@ -46,13 +41,16 @@
         cmake (<< 3.9~),
 # meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
         meson (<< 0.40.0~),
+# Re-add if qt5-qmake is added to stretch-backports
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
-        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+#        qt5-qmake (<< 5.9.2+dfsg-8),
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
-Provides: ${dh:CompatLevels}
+Provides: ${dh:CompatLevels},
+          dh-sequence-dwz,
+          dh-sequence-installinitramfs,
+          dh-sequence-systemd,
 Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to

## debhelper 12~mx17+1

=== debian/changelog ===
debhelper (12~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 12 Jan 2019 11:55:37 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,

## debhelper 12ubuntu1

=== debian/changelog ===
debhelper (12ubuntu1) disco; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Dec 2018 14:29:23 -0600

debhelper (11.5.3ubuntu1) disco; urgency=medium

  * Merge from Debian testing.  Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Dec 2018 12:21:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
@@ -46,7 +46,8 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,

## debhelper 12.1

=== debian/changelog ===
debhelper (12.1) unstable; urgency=medium

  [ Xavier Guimard ]
  * dh_fixperms: add .node in mode_0644_patterns.

  [ Sylvestre Ledru ]
  * dh_strip: Print a warning when an ELF binary does not have a
    build-id (or when dh_strip cannot find it).

  [ Niels Thykier ]
  * Dh_Lib.pm: Strip leading and trailing whitespace from lines in
    regular debhelper config files.  Whitespace-only lines from
    executable config files are now explicitly detected and triggers
    a human readable error message early rather than warnings/errors
    about uninitialized variables.   Thanks to Ben Finney for the
    suggestion and the initial patch.  (Closes: #919853)
  * meson.pm: Dump "meson-logs/testlog.txt" if testing fails with
    an error.  Thanks to Jeremy Bicha for the suggestion.
    (Closes: #918066)
  * dh_missing: Clarify the documentation about when -X with other
    helpers can may dh_missing ignore paths that are not installed.
    Thanks to Hilko Bengen for reporting the original documentation
    was unsufficient.  (Closes: #917362)
  * d/control: Bump Standards-Version to 4.3.0 - no changes required.

  [ Baptiste Jammet ]
  * fr.po: Update French translation.  (Closes: #921254)

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Feb 2019 20:33:53 +0000
